%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Local Log-Euclidean Covariance Matrix (L2ECM)
%for Image Representation and Its Applications (ECCV 2012 , (3) : 469-482)
%Peihua Li, QiLong Wang 2 Oct. 2012
%Contact: wangqilong.415@163.com, peihualj@hotmail.com
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% demo
clear all;
clc;
%% set parameter
patch_size = 16;
sampling_step = 1; 
step = 16;

tic;
window = sp_load_image('demo1.gif');     
% window = sp_load_image('demo2.jpg');      
L2ECM =  covcalculator(window,patch_size, sampling_step, step);
%%%%show feature
for layer = 1:size(L2ECM,3)
    figure,imshow(L2ECM(:,:,layer),[]);
    hold on;
    iterNum=[ num2str(layer) ,' th layer of L2ECM '];      
    title(iterNum);
    hold off;
end
toc;
